{
  description = "Kirigami";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixpkgs-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { nixpkgs, flake-utils, ... }:
    flake-utils.lib.eachSystem flake-utils.lib.allSystems (system:
      let
        pkgs = import nixpkgs { inherit system; };
      in
      {
        devShells = {
          default = pkgs.mkShell {
            packages = with pkgs; [
              # For Qt
              qt6.wrapQtAppsHook
              qt6.qtbase
              qt6.qtdeclarative

              # For Kirigami
              kdePackages.kirigami
              kdePackages.ki18n
              kdePackages.kcoreaddons

              # For building
              ninja
              cmake
              gcc

              # Not required at compile time
              gammaray
              gdb # Required for gammaray
              lldb # Required for gammaray

              # For translation generation
              ruby
            ];

            dontFixCmake = true;
            cmakeFlags = [
              "-DQT_MAJOR_VERSION=6"
              "-DCMAKE_EXPORT_COMPILE_COMMANDS:BOOL=ON"
              "-DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo"
            ];
          };
        };
      });
}

